Get a list of all webhooks
Get a list of all webhooks
GET /restapi/1.0/webhooks HTTP/1.1
Host: {your_Odoo_server_url}HTTP/1.1 200 OK
{
'webhook': [
{
'id': 3,
'name': 'Product Creation',
'model': 'product.product',
'kind': 'on_create',
'address': 'https://requestbin.net/152eq5l1',
'format': 'json',
'language': 'en_US',
'fields': [],
'create_date': '2017-11-02 12:15:47',
'write_date': '2017-11-02 14:12:40'
},
{
'id': 7,
'name': 'Product Update',
'model': 'product.product',
'kind': 'on_write',
'address': 'https://requestbin.net/152eq5l1',
'format': 'json',
'language': 'en_US',
'fields': [],
'create_date': '2017-11-02 12:15:47',
'write_date': '2017-11-02 14:12:40'
},
{
'id': 12,
'name': 'Product Deletion',
'model': 'product.product',
'kind': 'on_unlink',
'address': 'https://requestbin.net/152eq5l1',
'format': 'json',
'language': 'en_US',
'fields': [],
'create_date': '2017-11-02 12:15:47',
'write_date': '2017-11-02 14:12:40'
},
...
...
...
]
}Headers and Status Codes
Description
Last updated